/*****************************************************************************
 *
 *  flagbox.h -- Read-only checkbox to display a bool value.
 *
 *  Copyright (C) 2010 Starbuck <starbuck@labdv.com>
 *  All rights reserved.
 *
 *  This file is part of the Gui4 module of the DVDx 4 application.
 *
 *  GNU Lesser General Public License Usage
 *  This file may be used under the terms of the GNU Lesser General
 *  Public License version 2.1 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.LGPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU Lesser General Public License version 2.1 requirements
 *  will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 *  GNU General Public License Usage
 *  Alternatively, this file may be used under the terms of the GNU
 *  General Public License version 3.0 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.GPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU General Public License version 3.0 requirements will be
 *  met: http://www.gnu.org/copyleft/gpl.html.
 *
 *****************************************************************************/

#ifndef FLAGBOX_H
#define FLAGBOX_H

#include <QCheckBox>
#include <QString>

class FlagBox : public QCheckBox
{
	Q_OBJECT

public:
	FlagBox(QWidget *);

	void setDefaultStyle();
	void setGreenLightStyle();

protected:
	bool event(QEvent *); 

	// inhibit every mouse event
	void mouseDoubleClickEvent(QMouseEvent *){return;};
	void mouseMoveEvent(QMouseEvent *){return;};
	void mousePressEvent(QMouseEvent *){return;};
	void mouseReleaseEvent(QMouseEvent *){return;};
};

#endif
