/*****************************************************************************
 *
 *  numberedit.cpp -- QLineEdit extension to edit numeric values.
 *
 *  Copyright (C) 2010 Starbuck <starbuck@labdv.com>
 *  All rights reserved.
 *
 *  This file is part of the Gui4 module of the DVDx 4 application.
 *
 *  GNU Lesser General Public License Usage
 *  This file may be used under the terms of the GNU Lesser General
 *  Public License version 2.1 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.LGPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU Lesser General Public License version 2.1 requirements
 *  will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 *  GNU General Public License Usage
 *  Alternatively, this file may be used under the terms of the GNU
 *  General Public License version 3.0 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.GPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU General Public License version 3.0 requirements will be
 *  met: http://www.gnu.org/copyleft/gpl.html.
 *
 *****************************************************************************/

#include "numberedit.h"

NumberEdit::NumberEdit(QWidget *parent)
	: QLineEdit(parent) 
{
	connect( this, SIGNAL(textEdited(QString)), this, SLOT(onTextEdited(QString)) );
}

NumberEdit::NumberEdit(int value, QWidget *parent)
	: QLineEdit(QString::number(value), parent) 
{
	connect( this, SIGNAL(textEdited(QString)), this, SLOT(onTextEdited(QString)) );
}

void NumberEdit::setValue(int value)
{
	setText( QString::number(value) );
}

void NumberEdit::onTextEdited(QString text)
{
	emit valueChanged( text.toInt() );
}
