/*****************************************************************************
 *
 *  playercapabilitydialog.h -- Show player capabilities.
 *
 *  Copyright (C) 2010 Starbuck <starbuck@labdv.com>
 *  All rights reserved.
 *
 *  This file is part of the Gui4 module of the DVDx 4 application.
 *
 *  GNU Lesser General Public License Usage
 *  This file may be used under the terms of the GNU Lesser General
 *  Public License version 2.1 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.LGPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU Lesser General Public License version 2.1 requirements
 *  will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 *  GNU General Public License Usage
 *  Alternatively, this file may be used under the terms of the GNU
 *  General Public License version 3.0 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.GPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU General Public License version 3.0 requirements will be
 *  met: http://www.gnu.org/copyleft/gpl.html.
 *
 *****************************************************************************/

#ifndef PLAYERCAPABILITYDIALOG_H
#define PLAYERCAPABILITYDIALOG_H

#include "../video/video_struct.h"
#include <QDialog>
#include <QTabWidget>
#include <QLayout>
#include <QLabel>
#include <QList>
#include <QListWidgetItem>
#include <QDialogButtonBox>

class PlayerCapabilityDialog : public QDialog
{
	Q_OBJECT

public:
	PlayerCapabilityDialog(player_engine_capability_t *, QWidget *parent = 0);
	
private:
	QList<QListWidgetItem *> availableVideo;
	QList<QListWidgetItem *> availableAudio;
	QList<QListWidgetItem *> availableMuxer;
	
	QTabWidget *tabWidget;
	QVBoxLayout *tabVLayout;

	QWidget *videoTab;
	QWidget *audioTab;

	QDialogButtonBox *buttonBox;
};

#endif
