/*****************************************************************************
 *
 *  userdefinedrezdialog.h -- Input user defined picture rezolution.
 *
 *  Copyright (C) 2010 Starbuck <starbuck@labdv.com>
 *  All rights reserved.
 *
 *  This file is part of the Gui4 module of the DVDx 4 application.
 *
 *  GNU Lesser General Public License Usage
 *  This file may be used under the terms of the GNU Lesser General
 *  Public License version 2.1 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.LGPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU Lesser General Public License version 2.1 requirements
 *  will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 *  GNU General Public License Usage
 *  Alternatively, this file may be used under the terms of the GNU
 *  General Public License version 3.0 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.GPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU General Public License version 3.0 requirements will be
 *  met: http://www.gnu.org/copyleft/gpl.html.
 *
 *****************************************************************************/

#ifndef USERDEFINEDSIZEDIALOG_H
#define USERDEFINEDSIZEDIALOG_H

#include <QIntValidator>
#include <QLineEdit>
#include <QDialogButtonBox>
#include <QDialog>

class UserDefinedRezDialog : public QDialog
{
	Q_OBJECT

public:
	UserDefinedRezDialog(QSize *size, const QSize &sizeMin, const QSize &sizeMax,
		QWidget *parent = 0);

private slots:
	void accept();
	
private:
    QLineEdit *widthInput;
    QLineEdit *heightInput;
    QDialogButtonBox *buttonBox;

	QIntValidator *widthValidator;
	QIntValidator *heightValidator;

	QSize *userDefinedSize;  // to fill in with result
};

#endif
