/*****************************************************************************
 *
 *  macrosapp.h -- Macros for the application.
 *
 *  Copyright (C) 2010 Starbuck <starbuck@labdv.com>
 *  All rights reserved.
 *
 *  This file is part of the Encoder module of the DVDx 4 application.
 *
 *  GNU Lesser General Public License Usage
 *  This file may be used under the terms of the GNU Lesser General
 *  Public License version 2.1 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.LGPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU Lesser General Public License version 2.1 requirements
 *  will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 *  GNU General Public License Usage
 *  Alternatively, this file may be used under the terms of the GNU
 *  General Public License version 3.0 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.GPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU General Public License version 3.0 requirements will be
 *  met: http://www.gnu.org/copyleft/gpl.html.
 *
 *****************************************************************************/

#ifndef MACROSAPP_H
#define MACROSAPP_H

// Current version
#define APPNAME				"DVDx"
#define APPMAJORVERSION		"4.0"
#define APPTITLE			"DVDx 4.0"
#define APPVERSION_STR		"4.0.0.5"	// 4.major_version.minor_version.patch
#define APPVERSION			4,0,0,5

// Platform string
#ifdef WIN32
#define PLATFORM_STR		"Windows"
#elif defined(Q_OS_MAC)
#define PLATFORM_STR		"Mac OS X"
#elif defined(Q_OS_LINUX)
#define PLATFORM_STR		"Linux"
#else
#define PLATFORM_STR		"Unix"
#endif

// Default output name
#define DEFAULT_DVD_OUTPUT	"DVD_VIDEO"
#define DEFAULT_FILE_OUTPUT	"Ouput"

// Paths
#ifdef WIN32
#define DEFAULTFFMPEGPATH		"ffmpeg/ffmpeg.exe" 
#define DEFAULTFFPROBEBINPATH	"ffmpeg/ffprobe.exe" 
#define DEFAULTMENCODERPATH		"mplayer/mencoder.exe" 
#define DEFAULTMPLAYERPATH		"mplayer/mplayer.exe" 
#define DEFAULTMEDIAINFOPATH	"mediainfo/mediainfo.exe" 
#elif defined(Q_OS_MAC)
#define DEFAULTFFMPEGPATH		"/opt/dvdx4/bin/ffmpeg"
#define DEFAULTFFPROBEBINPATH	"/opt/dvdx4/bin/ffprobe"
#define DEFAULTMENCODERPATH		"/opt/local/bin/mencoder"
#define DEFAULTMPLAYERPATH		"/opt/local/bin/mplayer"
#define DEFAULTMEDIAINFOPATH	"/opt/dvdx4/bin/mediainfo"
#else
#define DEFAULTFFMPEGPATH		"/opt/dvdx4/bin/ffmpeg"
#define DEFAULTFFPROBEBINPATH	"/opt/dvdx4/bin/ffprobe" 
#define DEFAULTMENCODERPATH		"mencoder" 
#define DEFAULTMPLAYERPATH		"mplayer" 
#define DEFAULTMEDIAINFOPATH	"/opt/dvdx4/bin/mediainfo"
#endif

#endif // MACROSAPP.H
