/*****************************************************************************
 *
 *  interfacemediainfo_struct.h -- InterfaceMediaInfo settings and structures.
 *
 *  Copyright (C) 2010 Starbuck <starbuck@labdv.com>
 *  All rights reserved.
 *
 *  GNU Lesser General Public License Usage
 *  This file may be used under the terms of the GNU Lesser General
 *  Public License version 2.1 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.LGPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU Lesser General Public License version 2.1 requirements
 *  will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 *  GNU General Public License Usage
 *  Alternatively, this file may be used under the terms of the GNU
 *  General Public License version 3.0 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.GPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU General Public License version 3.0 requirements will be
 *  met: http://www.gnu.org/copyleft/gpl.html.
 *
 *****************************************************************************/

#ifndef INTERFACEMEDIAINFO_STRUCT_H
#define INTERFACEMEDIAINFO_STRUCT_H

#include "../video/video_struct.h"
#include "../video/video_constants.h"
#include <QString>
#include <QStringList>
#include <QMap>
#include <QRect>

// Media info data
struct interfacemediainfo_data_t
{
	QMap<QString, QString> general;
	QMap<QString, QString> video;
	QList< QMap<QString, QString> > audio;
	QList< QMap<QString, QString> > subtitle;
	
	QString text;  // the whole text output

	interfacemediainfo_data_t() { clear(); }

	void clear() 
	{
			general.clear();
			video.clear();
			audio.clear();
			subtitle.clear();
			text.clear();
	}
};

#endif
