#######################################################################
# Interface to a command line player.
#
# Copyright (C) 2010 Starbuck<starbuck@labdv.com>
#######################################################################

TEMPLATE = lib

CONFIG += staticlib create_prl link_prl
CONFIG += console
TARGET = player

# Paths
DEPENDPATH += .
INCLUDEPATH += .

CONFIG( debug, debug|release) {

	# debug
	CONFIG -= release

	win32 {
		INCLUDEPATH += ../../ext/include
		INCLUDEPATH += ../../msvc/ext

		LIBS += ../../build/win32/debug/lib/libdvdnav.lib

		DESTDIR = ../../build/win32/debug/lib
		OBJECTS_DIR = ../../tmp/win32/debug/player/obj
		UI_DIR = ../../tmp/win32/debug/player/ui
		MOC_DIR = ../../tmp/win32/debug/player/moc
	}

	unix: !macx {
		DESTDIR = ../../build/unix/debug/lib
		OBJECTS_DIR = ../../tmp/unix/debug/player/obj
		UI_DIR = ../../tmp/unix/debug/player/ui
		MOC_DIR = ../../tmp/unix/debug/player/moc
	}

	macx {
		#LIBS += ../../build/macx/debug/lib/libdvdnav.lib
		#LIBS += /opt/local/var/macports/software/libdvdnav/4.1.3_0/opt/local/lib/libdvdnav.la


		DESTDIR = ../../build/macx/debug/lib
		OBJECTS_DIR = ../../tmp/macx/debug/player/obj
		UI_DIR = ../../tmp/macx/debug/player/ui
		MOC_DIR = ../../tmp/macx/debug/player/moc
	}

} else {

	# release
	CONFIG -= debug

	win32 {
		INCLUDEPATH += ../../ext/include
		INCLUDEPATH += ../../msvc/ext

		LIBS += ../../build/win32/release/lib/libdvdnav.lib

		DESTDIR = ../../build/win32/release/lib
		OBJECTS_DIR = ../../tmp/win32/release/player/obj
		UI_DIR = ../../tmp/win32/release/player/ui
		MOC_DIR = ../../tmp/win32/release/player/moc
	}

	unix: !macx {
		DESTDIR = ../../build/unix/release/lib
		OBJECTS_DIR = ../../tmp/unix/release/player/obj
		UI_DIR = ../../tmp/unix/release/player/ui
		MOC_DIR = ../../tmp/unix/release/player/moc
	}

	macx {
		#LIBS += ../../build/macx/release/lib/libdvdnav.lib

		DESTDIR = ../../build/macx/release/lib
		OBJECTS_DIR = ../../tmp/macx/release/player/obj
		UI_DIR = ../../tmp/macx/release/player/ui
		MOC_DIR = ../../tmp/macx/release/player/moc
	}

}

#######################################################################
# Input
include( player.input.pro )
